Skip to content
Newer
Older
100644 50 lines (41 sloc) 1.73 KB
a981eb2 @myronmarston Deal with weird load path issue on jruby.
authored Oct 4, 2010
1 $LOAD_PATH.unshift File.expand_path("../lib", __FILE__)
2 require "vcr/version"
6c7e2e2 @myronmarston Adding gemspec.
authored Feb 25, 2010
3
dd461d5 @myronmarston Removed dependency on jeweler. Manage the gemspec by hand instead. Ex…
authored Jun 7, 2010
4 Gem::Specification.new do |s|
5 s.name = "vcr"
6 s.homepage = "http://github.com/myronmarston/vcr"
6c7e2e2 @myronmarston Adding gemspec.
authored Feb 26, 2010
7 s.authors = ["Myron Marston"]
dd461d5 @myronmarston Removed dependency on jeweler. Manage the gemspec by hand instead. Ex…
authored Jun 7, 2010
8 s.summary = "Record your test suite's HTTP interactions and replay them during future test runs for fast, deterministic, accurate tests."
9 s.description = "VCR provides helpers to record your test suite's HTTP interactions and replay them during future test runs for fast, deterministic, accurate tests. It works with any ruby testing framework, and provides built-in support for cucumber."
10 s.email = "myron.marston@gmail.com"
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
11 s.require_path = "lib"
12 s.files = `git ls-files`.split("\n")
362147f @myronmarston A few gemspec tweaks.
authored Sep 18, 2010
13 s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
14 s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
6c7e2e2 @myronmarston Adding gemspec.
authored Feb 26, 2010
15
dd461d5 @myronmarston Removed dependency on jeweler. Manage the gemspec by hand instead. Ex…
authored Jun 7, 2010
16 s.version = VCR.version
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
17 s.platform = Gem::Platform::RUBY
dd461d5 @myronmarston Removed dependency on jeweler. Manage the gemspec by hand instead. Ex…
authored Jun 7, 2010
18 s.required_ruby_version = '>= 1.8.6'
19 s.required_rubygems_version = '>= 1.3.5'
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
20
21 {
d7284af @myronmarston Update a few development gems.
authored Sep 7, 2010
22 'bundler' => '~> 1.0.0',
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
23 'rake' => '~> 0.8.7',
24
eec43a5 @myronmarston Upgrade to RSpec 2.1.
authored Nov 7, 2010
25 'rspec' => '~> 2.1.0',
b7e4d2d @myronmarston Update cucumber.
authored Nov 8, 2010
26 'cucumber' => '~> 0.9.4',
89748b9 @myronmarston Add aruba for use in cucumber features.
authored Sep 19, 2010
27 'aruba' => '~> 0.2.1',
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
28
29 'fakeweb' => '~> 1.3.0',
0418416 @myronmarston Upgrade to WebMock 1.6.0.
authored Nov 11, 2010
30 'webmock' => '~> 1.6.0',
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
31
32 'httpclient' => '~> 2.1.5.2',
33
acb7e63 @myronmarston Added timecop so we can simulate the passage of time in our tests.
authored Sep 18, 2010
34 'timecop' => '~> 0.3.5',
15d027e @myronmarston New cuke: basic_usage.feature.
authored Nov 8, 2010
35 'rack' => '1.1.0',
36 'sinatra' => '~> 1.1.0'
65f1424 @myronmarston Fix webmock dependency declaration to work on ruby 1.8.6.
authored Nov 7, 2010
37 }.each do |lib, version|
38 s.add_development_dependency lib, version
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
39 end
40
41 {
42 'patron' => '~> 0.4.6',
43 'em-http-request' => '~> 0.2.7',
c0acf8f @myronmarston Update to the just released Typhoeus 0.2.0.
authored Nov 11, 2010
44 'curb' => '~> 0.7.8',
45 'typhoeus' => '~> 0.2.0'
e57ae60 @myronmarston Updated Gemfile/gemspec/Rakefile, etc to use latest best practices ba…
authored Aug 26, 2010
46 }.each do |lib, version|
47 s.add_development_dependency lib, version
48 end unless RUBY_PLATFORM == 'java'
6c7e2e2 @myronmarston Adding gemspec.
authored Feb 26, 2010
49 end
Something went wrong with that request. Please try again.